# MatGetCommunicationStructs

Provides access to the communication structures used in matrix-vector multiplication.

### Synopsis

    #include "petscmat.h"
    #if defined (PETSC_USE_CTABLE)
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetCommunicationStructs(Mat A, Vec *lvec, PetscTable *colmap, VecScatter *multScatter)
    #else
    PetscErrorCode PETSCMAT_DLLEXPORT MatGetCommunicationStructs(Mat A, Vec *lvec, PetscInt *colmap[], VecScatter *multScatter)
    #endif

Not Collective

### Input Parameters

A - The matrix in mpiaij format

### Output Parameter

| lvec | - The local vector holding off-process values from the argument to a matrix-vector product
| colmap | - A map from global column index to local index into lvec
| multScatter | - A scatter from the argument of a matrix-vector product to lvec

Level:developer
Location: src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages